> ## Documentation Index
> Fetch the complete documentation index at: https://docs.open.cx/llms.txt
> Use this file to discover all available pages before exploring further.

> Create a training directory — Create a new directory for organizing trainings. Use when pushing training scenarios or knowledge into the AI training index from an external…

# Create a training directory



## OpenAPI

````yaml post /training/directories
openapi: 3.1.0
info:
  title: OpenCX API
  description: >

    OpenCX is an AI-powered, all-in-one platform for customer support and
    outbound communications.


    Use this API to manage your OpenCX organization's AI agents, actions,
    conversations, contacts, and more.


    To get started, generate a new API key from the dashboard.


    ## Authentication

    All API endpoints require authentication using a Bearer token. You can
    generate an API key from your OpenCX dashboard.


    ## Rate Limiting

    API requests are rate limited to ensure fair usage. The current limits are:

    - 100 requests per minute for standard endpoints

    - 1000 requests per minute for streaming endpoints


    ## Error Handling

    The API uses standard HTTP status codes and returns detailed error messages
    in the response body.
  version: 1.0-beta
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://api.open.cx
    description: Production
security:
  - bearerAuth: []
paths:
  /training/directories:
    post:
      summary: Create a training directory
      description: Create a new directory for organizing trainings.
      operationId: createTrainingDirectory
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateTrainingDirectoryInputDto'
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomTrainingDirectoriesDto'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDto'
components:
  schemas:
    CreateTrainingDirectoryInputDto:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: '#/components/schemas/CreateTrainingDirectoryInputDtoInput'
      type: object
      properties:
        name:
          type: string
          description: The directory name
      required:
        - name
    CustomTrainingDirectoriesDto:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: '#/components/schemas/CustomTrainingDirectoriesDto'
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        org_id:
          type: string
      required:
        - id
        - name
        - org_id
      additionalProperties: false
    ErrorDto:
      type: object
      properties:
        statusCode:
          type: integer
        message:
          type: string
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````